package com.allmycode.p03_05_03

import android.graphics.drawable.AnimationDrawable
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
    }

    fun onStartStopClick(view: View) {
        imageView.setBackgroundResource(
            R.drawable.star_animation)
        val frameAnimation: AnimationDrawable =
            imageView.background as AnimationDrawable

        if (StartStop.text == "Start") {
            frameAnimation.start()
            StartStop.text = "Stop"
        } else {
            frameAnimation.stop()
            StartStop.text = "Start"
        }

    }
}
