package com.allmycode.p03_02_01

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import kotlinx.android.synthetic.main.activity_main.*
import android.os.Handler

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
    }

    fun button_onClick(view: View) {
        textView.setText("0")
        progressBar.setProgress(0)

        Thread( Runnable {
            for (i in 0..9) {
                updateData(i)
                Thread.sleep(200)
            }
        }).start()
    }

    private var handler = Handler()

    fun updateData(i: Int){
        for (j in 1..10){
            handler.post(Runnable {
                textView.setText((i*10+j).toString())
                progressBar.setProgress(
                    i*10+j, true)
            })
            Thread.sleep(100)
        }
    }

    fun doAdd(value1: Int, value2: Int): Int {
        return value1 + value2
    }
}
