package com.allmycode.p03_03_01

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import kotlinx.android.synthetic.main.activity_main.*

class FirstActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_first)

        this.Caller.setText(intent.getStringExtra("Caller"))
        this.FirstLoc.setText("Main")
    }

    fun onFirstLocClick(view: View){
        val goto = Intent(this, MainActivity::class.java)
        goto.putExtra("Caller", "First Activity")
        startActivity(goto)
    }

    fun onSecondLocClick(view: View){
        val goto = Intent("android.intent.action.SECOND")
        goto.putExtra("Caller", "First Activity")
        startActivity(goto)
    }
}
