package com.allmycode.p03_03_01

import android.content.Context
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.DialogFragment
import com.allmycode.p03_03_01.R.layout.fragment_dialog
import kotlinx.android.synthetic.main.fragment_dialog.*

class FragmentDialog: DialogFragment() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val style = DialogFragment.STYLE_NORMAL
        val theme = R.style.ThemeOverlay_AppCompat_Dialog
        setStyle(style, theme)
   }

    override fun onAttach(context: Context?) {
        super.onAttach(context)
    }

    override fun onDetach() {
        super.onDetach()
    }

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(fragment_dialog,
            container, false)
    }

    fun onBtnOKClick(view: View){
        DlgMessage.setText("Message Updated!")
    }

    fun onBtnCancelClick(view: View) {
        dismiss()
    }

    companion object{
        @JvmStatic
        fun newInstance() =
            FragmentDialog().apply {
            }
    }
}