package com.allmycode.p03_04_03

import android.media.MediaPlayer
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
    }

    private var mediaPlayer: MediaPlayer ?= null

    fun onPlayClick (view: View) {
        mediaPlayer = MediaPlayer.create(
                this, R.raw.citysunshine)
        mediaPlayer?.start()
        Play.isClickable = false
        Pause.isClickable = true
        Stop.isClickable = true
    }

    fun onPauseClick (view: View) {
        mediaPlayer?.pause()
        Play.isClickable = true
        Pause.isClickable = false
        Stop.isClickable = true
    }

    fun onStopClick (view: View) {
        mediaPlayer?.stop()
        Play.isClickable = true
        Pause.isClickable = false
        Stop.isClickable = false
    }
}
