package com.allmycode.p03_05_01

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.Gravity
import android.view.View
import android.widget.TextView
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        for (value in 0..30) {
            var valueTV: TextView = TextView(this)
            valueTV.setText(value.toString())
            valueTV.gravity = Gravity.CENTER_HORIZONTAL
            ScrollItems.addView(valueTV)
        }
    }

    fun onShowViewStubClick(view: View) {
        if (ViewStub != null) {
            ViewStub.inflate()
            ShowViewStub.visibility = View.GONE
            Layout2.visibility = View.GONE
        }
    }

    private var CurrentView = "Main"
    fun  onLayout2Click(view: View) {
        if (CurrentView == "Main") {

            setContentView(R.layout.activity_main2)
            CurrentView = "Aux"
        } else {
            setContentView((R.layout.activity_main))
            CurrentView = "Main"
        }
    }
}
